<template>
    <div class="row">
        <iframe v-if="true"
                ref="iframe"
                width="100%"
                name="tds_frame"
                :style="$interface.isMobile ? 'height: calc(100vh - 100px)' : 'height: calc(50vh - 100px)'"
                id="pay-frame"
                frameborder="0"
                class="iframe-for-confirm"
        ></iframe>
        <form id="tds_form" :action="formData.url" target="tds_frame" ref="form" method="post">
            <input type="hidden" v-for="(v, name) in formData.postData" :name="name" :value="v">
        </form>
    </div>
</template>

<script>
	export default {
		name: 'Form3DS',
		props: ['formData'],
		created () {
			window.addEventListener('message', this.postMessage, {
				passive: true
			});
		},
		mounted() {
			this.$refs.form.submit();
		},
		methods: {
			postMessage(e) {
				console.log('Form3DS::postMessage', e);
				if (e.data.success) {
					this.$toastr.success('Карта добавлена.', 'Успешно');
					this.BUTTON_LOADING(false);
					this.$emit('resultSuccess', { data: e.data });
				} else if (e.data.error) {
					this.$toastr.error('Не удалось добавить карту.', 'Ошибка');
					this.BUTTON_LOADING(false);
					this.$emit('clearFormData');
				}
			}
		}
	};
</script>

<style scoped>

</style>
